import type { BasicWidgetInstance, BasicWidgetProps } from '../../utils'

export interface BottomBarProps extends BasicWidgetProps {
    /**
     * 是否展开
     * @default false
     */
    expand?: boolean
    /**
     * 展开标题
     */
    expandTitle?: string
    /**
     * 是否有展开按钮
     * @default true
     */
    showExpandButton?: boolean
    /**
     * 是否有展开边框
     * @default false
     */
    showExpandBorder?: boolean
    /**
     * 高度 rpx
     * @default 0 rpx
     */
    height: number
    /**
     * 最大高度 rpx
     * @default 0 rpx
     */
    maxHeight?: number
    /**
     * 是否支持 Y 滚动
     * @default false
     */
    scrollY?: boolean
}

export interface BottomBarInstance extends BasicWidgetInstance<BottomBarProps> {
    /**
     * 响应式组件当前高度，单位 rpx
     */
    height: ComputedRef<number>
    /**
     * 切换展开状态
     * @param expand 是否展开
     */
    toggleExpand: (expand?: boolean) => void
}
